from pathlib import PosixPath
import os


class ConfigFileNotFoundError(OSError):

	def __str__(self):
		if len(self.args) in [1, 2]:
			path: str = ""
			if isinstance(self.args[0], PosixPath):
				path = str(PosixPath(self.args[0]))
			else:
				path = str(self.args[0])

			if len(self.args) == 2:
				filename: str = ""
				filename = str(self.args[1])
				path = os.path.join(path, filename)

			return f"Config file does not exist: {path}"
		else:
			return super.__str__(self)
